<div>
<table class="table datatable-basic dataTable no-footer align-center" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
    <thead>
        <tr role="row" style="    font-size: .875rem;" class="bk-tr">
            <th class="sorting_disabled" rowspan="1" colspan="3" aria-label="From Date">PAYMENT FORM <i class="las la-edit ni edt-icn" ng-click="onEdit()"></i></th>
        </tr>
        <tr role="row" style="    font-size: .875rem;" class="bk-tr">
            <th class="sorting_disabled" aria-label="From Date">PAYMENT TYPE</th>
            <th class="sorting_disabled" aria-label="From Date">LPO NO</th>
            <th class="sorting_disabled" aria-label="From Date">Amount</th>
        </tr>
    </thead>
    <tbody class="">
        <tr role="row" class="odd"  ng-repeat="fop in companyFOPList track by $index">
            <td>{{fop.fop | uppercase}}</td>
            <td>
                <select
                class="form-control inationalityVal "
                placeholder="Payment Type "
                name="paymentTpye{{$index}} "
                ng-model="fop.paymentType"
                id="paymentTYpe_{{$index}} "
                autocomplete="off ">
                    <option value="" selected disabled>Select</option>
                    <option value="{{pay.code}} " ng-repeat="pay in pcPaymentType ">
                        {{pay.name}}
                    </option>
                </select>
            </td>
            <td class="col-3"> 
                <input align="middle"  ng-keyup="calculateTotal()" id="fopinput_{{index}}" name="fopinput" ng-init="fop.updatedFare = fopBeanList[0].fopId == fop.fopId ? fopBeanList[0].amount : 0"
                 type="number" value="" ng-disabled="ismutifopedit" ng-model="fop.updatedFare" class="form-control align-end"/>
            </td>   
        </tr>
        <tr role="row" class="odd"  >
            <td></td>
            <td>Grand Total</td>
            <td class="col-3"> 
                <input align="middle" id="checkedvalue" name="checkedvalue"
                 type="number" value="" disabled ng-model="fopTotal" class="form-control align-end"/>
                 <span ng-if="grandtotalmesg" class="totmesg">{{grandtotalmesg}}</span>
            </td>   
        </tr>
    </tbody>
</table>

    <button type="button" ng-if="!ismutifopedit && !isBookDisable" ng-click="fopReprice();" style="float: right;right: 15px;"
        class="v-btn v-btn--contained  v-size--default guestbutton">
        <span class="ft-sz-14 " >Reprice
        </span>
    </button>
</div>

<style>
    .align-center{
        text-align: center;
    }
    .align-end{
        text-align: end;
    }
    .edt-icn{
        float: right;
    color: #3da5ce;
    /* font-weight: 1000; */
    font-size: 16px;
    cursor: pointer;
    }
    .totmesg{
        font-size: 12px;
        color: #ef3f3e;
        font-weight: 600;        
    }
</style>